#ifndef DOMAIN_LIBRARY_BUS_H
#define DOMAIN_LIBRARY_BUS_H

#include "wire.h"

#include <string>
#include <vector>

#include <domain/display/display.h>

#include <comdel/parser/astnode.h>


class Bus: AstNode
{
public:
    enum BusType {
        AUTOMATIC,
        REGULAR
    };

    BusType type;
    IdentifierNode name;
    StringNode tooltip;
    CountNode count;
    Display display;

    std::vector<Wire> wires;

    Bus();
};

#endif // DOMAIN_LIBRARY_BUS_H
