#ifndef LIBRARY_H
#define LIBRARY_H

#include "addressspace.h"
#include "bus.h"
#include "component.h"
#include "connection.h"

#include <map>
#include <string>
#include <vector>

class Library: AstNode
{
public:
    StringNode name;
    StringNode libraryInfo;
    StringNode header;
    StringNode componentDirectory;

    std::vector<AddressSpace> addressSpaces;

    std::vector<Component> components;
    std::vector<Bus> buses;
    std::vector<Connection> connections;

    std::vector<PropertyNode> messages;

    Library();
};



#endif // LIBRARY_H
