#ifndef DOMAIN_LIBRARY_PIN_H
#define DOMAIN_LIBRARY_PIN_H

#include <domain/display/display.h>

#include <string>

#include <comdel/parser/astnode.h>


class PinConnection: AstNode {
public:
    enum ConnectionType {
        CHECK_ONLY,
        AUTOMATICALLY
    };

    StringNode message;
    ConnectionType type;
};


class Pin: AstNode
{
public:
    enum PinType {
        IN_OUT,
        IN,
        OUT
    };

    IdentifierNode name;
    PinType type;
    StringNode tooltip;

    PinConnection connection;

    Display display;

    Pin();
};

#endif // DOMAIN_LIBRARY_PIN_H
